Listing puppet classes fails after adding default organization/location
Status: Closed   

Priority: Normal   

Assignee: Sebastian Gräßl   

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link: 1631379 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6306

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1631379

Description of problem: After adding default organization/location, Listing puppet class fails with error

Internal Server Error: the server was unable to finish the request. This may be caused by unavailability of some required service,

incorrect API call or a server-side bug. There may be more information in the server's logs.

Version-Release number of selected component (if applicable): Satellite 6.4

satellite-6.4.0-14.el7sat.noarch

How reproducible: Always

Steps to Reproduce:

[root@satellite64 ~]# hammer organization list

---|----------------------|----------------------|-------------|----------------------

ID | TITLE                | NAME                 | DESCRIPTION | LABEL

---|----------------------|----------------------|-------------|----------------------

1  | Default Organization | Default Organization |             | Default_Organization

---|----------------------|----------------------|-------------|----------------------

[root@satellite64 ~]# hammer defaults list

----------------|------

PARAMETER       | VALUE

----------------|------

organization_id | 1

----------------|------

[root@satellite64 ~]# hammer puppet-class list

Internal Server Error: the server was unable to finish the request. This may be caused by unavailability of some required service,

incorrect API call or a server-side bug. There may be more information in the server's logs*Actual results:*

Expected results: It should list puppet classes

Additional info: Applied the PR https://github.com/theforeman/foreman/pull/6075/files but still, this is failing.

This is working in satellite 6.3

Related issues:

Related to Foreman - Bug #26405: Puppetclass index implicitly searches locati... Closed

Associated revisions

Revision 4cf21db0 - 12/11/2018 08:40 AM - Sebastian Gräßl

Fixes #25097,#25277 - Associate reports & classes with taxonomy
https://bugzilla.redhat.com/show_bug.cgi?id=1631379
https://github.com/theforeman/foreman/pull/6075/files


History

#1 - 10/04/2018 10:27 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6106 added

#2 - 10/10/2018 11:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 12/05/2018 07:39 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6306 added

#4 - 12/11/2018 08:44 AM - Tomer Brisker

- Subject changed from Listing puppet classes fails after adding default organization/location

 to Listing puppet classes fails after adding default organization/location

- Fixed in Releases 1.21.0 added

#5 - 12/11/2018 08:44 AM - Tomer Brisker

- Pull request deleted (https://github.com/theforeman/foreman/pull/6106)

#6 - 12/11/2018 09:01 AM - Sebastian Gräßl

- Status changed from Ready For Testing to Closed

Applied in changeset 4cf21db0566dfb6a71fd1bbc45aa53abedf351d3.

#7 - 03/20/2019 04:47 PM - Tomer Brisker

- Related to Bug #26405: Puppetclass index implicitly searches locations and organizations added
